%define pango_version 1.0.99
%define gtk2_version 2.0.5
%define gtkhtml2_version 2.0.0-2
%define gnome_vfs2_version 2.0.0
%define libgnomeui_version 2.0.0
%define libbonobo_version 2.0.0
%define desktop_file_utils_version 0.2.90
%define gail_version 0.17

Summary: A system documentation reader from the Gnome project. 
Name: yelp
Version: 1.0.2
Release: 2
Source0: %{name}-%{version}.tar.bz2
Patch1: yelp-1.0.2-startpage.patch
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
Requires: scrollkeeper
Requires: gtk2 >= %{gtk2_version}
Requires: gnome-vfs2 >= %{gnome_vfs2_version}
Requires: gtkhtml2 >= %{gtkhtml2_version}
Requires: libgnomeui >= %{libgnomeui_version}
Requires: libbonobo >= %{libbonobo_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: gtkhtml2-devel >= %{gtkhtml2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libbonobo-devel >= %{libbonobo_version}
BuildRequires: gail-devel >= %{gail_version}
BuildRequires: Xft
BuildRequires: fontconfig
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}

%description
Yelp is the Gnome 2 help/documentation browser. It is designed
to help you browse all the documentation on your system in
one central tool.

%prep
%setup -q
%patch1 -p0 -b .startpage

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-only-show-in GNOME                                  \
  --add-category X-Red-Hat-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/bonobo
%{_datadir}/applications/*
%{_datadir}/sgml
%{_datadir}/yelp
%{_datadir}/images
%{_libexecdir}/*

%changelog
* Mon Aug 12 2002 Alexander Larsson <alexl@redhat.com>
- Remove the strange copyright on the start page. Fixes #69106

* Thu Aug  8 2002 Havoc Pennington <hp@redhat.com>
- 1.0.2
- include libexecdir stuff

* Sat Jul 27 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new gail
- 1.0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jun 18 2002 Havoc Pennington <hp@redhat.com>
- put all the binaries in the file list... why is this package so hard?

* Mon Jun 17 2002 Havoc Pennington <hp@redhat.com>
- put images in file list, this thing will be non-ugly yet

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 1.0
- use desktop-file-install to install/munge .desktop files
- put the sgml stuff in file list

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 0.10

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 0.8

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 0.6.1

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- 0.6

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Rebuild for new gnome2 libraries

* Mon Jan 28 2002 Alex Larsson <alexl@redhat.com>
- Initial build.
